PUT
https://api.examplary.ai/apps/{id}/secrets/{name}Sets a secret of an app the workspace published, available to its hooks. The value is never returned.
Path parameters
namestring· pattern: ^[A-Z][A-Z0-9_]*$required
idstringrequired
Request body
valuestring· min length: 1· max length: 4096required
Responses
200 — The secret was set.
400 — Invalid name or value.
404 — Unknown app, or published by another workspace.
429 — Rate limit exceeded
Requirements
Rate limit
30 requests per minute per user.
User roles
This endpoint requires the admin or owner role to be present.
OAuth scopes
This endpoint requires the apps:write scope to be present.